## Package org.apache.lucene.facet.index.params

Indexing-time specifications for handling facets

See:
Description

Interface Summary
FacetIndexingParams: Parameters on how facets are to be written to the index.

Class Summary
CategoryListParams: Contains parameters for a category list *
DefaultFacetIndexingParams: Default implementation for `FacetIndexingParams`.
PerDimensionIndexingParams: A FacetIndexingParams that utilizes different category lists, defined by the dimension specified CategoryPaths (see `PerDimensionIndexingParams.addCategoryListParams(CategoryPath, CategoryListParams)`

Exception Summary
FacetParamsMissingPropertyException: Thrown when the facets params are missing a property.

## Package org.apache.lucene.facet.index.params Description

# Indexing-time specifications for handling facets

Parameters on how facets are to be written to the index, such as which fields and terms are used to refer to the facets posting list.